<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div class="m-4">
  <div class="pb-4">
    <div class="h3 pb-2 fw-bold">Gestion des Deskbox</div>
    <button
      ls-button
      (click)="onCreateButtonClicked()"
      [icon]="commonIcons.ADD_ICON"
      [text]="ipngMessage.ADD_DESKBOX_BUTTON_TITLE">
    </button>
  </div>

  <div>
    <div
      class="h4 pb-2"
      id="deskboxListTitle"
      [innerText]="ipngMessage.DESKBOX_LIST_TITLE">
    </div>

    <table aria-labelledby="deskboxListTitle" class="bg-white mt-2 table table-striped table-borderless border-top">
      <thead>
        <tr>
          <th scope="col" class="col-icon-fixed-size" [innerText]="commonMessages.STATE"></th>
          <th scope="col" class="w-50 fw-bold" [innerText]="ipngMessage.DESKBOX_NAME"></th>
          <th scope="col" class="w-50 fw-bold" [innerText]="ipngMessage.LINKED_DESK"></th>
          <th scope="col" class="col-icon-fixed-size" [innerText]="commonMessages.ACTIONS"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let data of deskboxList">
          <td class="col-icon-fixed-size">
            <app-toggle-button [boolean]="data.deskbox.active" (valueChange)="setActive(data.deskbox, $event)"></app-toggle-button>
          </td>
          <td>
            <span class="justify-content-start">{{ data.deskbox | ipngDeskboxName }}</span>
          </td>
          <td>
            <span class="justify-content-start" *ngIf="data.linkedDesk">
              <fa-icon class="me-2" [icon]="faThumbtack"></fa-icon>
              {{ data.linkedDesk.name }}
            </span>
          </td>
          <td class="d-flex flex-row justify-content-end">
            <button
              type="button"
              class="btn text-primary ms-2"
              (click)="onLinkButtonClicked(data.deskbox)">
              <fa-icon [icon]="commonIcons.NEXT_ICON"></fa-icon>
            </button>

            <button
              type="button"
              class="btn text-primary ms-2"
              [title]="commonMessages.EDIT"
              (click)="onEditButtonClicked(data.deskbox)">
              <fa-icon [icon]="commonIcons.EDIT_ICON"></fa-icon>
            </button>
            <button
              type="button"
              class="btn text-primary ms-2"
              (click)="onUnlinkButtonClicked(data)">
              <fa-icon [icon]="unlinkIcon"></fa-icon>
            </button>
          </td>
        </tr>
      </tbody>
    </table>
  </div>


</div>
